local _G = getfenv(0)

function PhatLoot:TooltipCreate()
	local tt = CreateFrame("GameTooltip", "PhatLootTooltip", UIParent, "GameTooltipTemplate")
	self.tooltip = tt
end

function PhatLoot:GetBindOn(item)
	if not self.tooltip then self:TooltipCreate() end
	local tt = self.tooltip
	tt:SetOwner(UIParent, "ANCHOR_NONE")
	tt:SetHyperlink(item)
	if PhatLootTooltip:NumLines() > 1  and PhatLootTooltipTextLeft2:GetText() then
		local t = PhatLootTooltipTextLeft2:GetText()
		tt:Hide()
		if t == ITEM_BIND_ON_PICKUP then
			return "pickup"
		elseif t == ITEM_BIND_ON_EQUIP then
			return "equip"
		elseif t == ITEM_BIND_ON_USE then
			return "use"
		end
	end
	tt:Hide()
	return nil
end